"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_native_1 = require("react-native");
var native_1 = require("@react-navigation/native");
var elements_1 = require("@react-navigation/elements");
var react_1 = __importDefault(require("react"));
var menu_item_1 = __importDefault(require("./menu-item"));
var full_circle_1 = require("./icons/full-circle");
var empty_circle_1 = require("./icons/empty-circle");
var BottomNavigation = function (_a) {
    var state = _a.state, descriptors = _a.descriptors, navigation = _a.navigation, _b = _a.shadow, shadow = _b === void 0 ? false : _b, _c = _a.divider, divider = _c === void 0 ? false : _c;
    var colors = (0, native_1.useTheme)().colors;
    var buildHref = (0, native_1.useLinkBuilder)().buildHref;
    console.log(state);
    var dividerClassFlag = divider ? 'border-t border-blue-500' : '';
    return (<react_native_1.View className="h-[86px]" style={{ flexDirection: 'row', backgroundColor: 'tra' }}>
      {state.routes.map(function (route, index) {
            var options = descriptors[route.key].options;
            var label = options.tabBarLabel !== undefined
                ? options.tabBarLabel
                : options.title !== undefined
                    ? options.title
                    : route.name;
            var isFocused = state.index === index;
            var onPress = function () {
                var event = navigation.emit({
                    type: 'tabPress',
                    target: route.key,
                    canPreventDefault: true,
                });
                if (!isFocused && !event.defaultPrevented) {
                    navigation.navigate(route.name, route.params);
                }
            };
            var onLongPress = function () {
                navigation.emit({
                    type: 'tabLongPress',
                    target: route.key,
                });
            };
            return (<elements_1.PlatformPressable pressOpacity={1} href={buildHref(route.name, route.params)} accessibilityState={isFocused ? { selected: true } : {}} accessibilityLabel={options.tabBarAccessibilityLabel} testID={options.tabBarButtonTestID} onPress={onPress} onLongPress={onLongPress} className={"flex-1 ".concat(dividerClassFlag, " bg-white justify-center items-center pb-[20px]")}>
            <menu_item_1.default activeIcon={<full_circle_1.FullCircleIcon />} idleIcon={<empty_circle_1.EmptyCircleIcon />} menuTitle={label} selected={isFocused}/>
            {/* <Text style={{ color: isFocused ? colors.primary : colors.text }}>
                  {label}
                </Text> */}
          </elements_1.PlatformPressable>);
        })}
    </react_native_1.View>);
};
exports.default = BottomNavigation;
//# sourceMappingURL=bottom-navigation.js.map